Index: invariantview/perspectives/invariant/report_dialog.py
===================================================================
--- invariantview/perspectives/invariant/report_dialog.py	(revision 5b031223a262b0709ad65c0585c105472958a8de)
+++ invariantview/perspectives/invariant/report_dialog.py	(revision 4a2b054ce1972d8c903cf87a9d285cad450d5353)
@@ -11,11 +11,13 @@
 
 """
-Dialog report panel to show and summarize the results of the invariant calculation.
+Dialog report panel to show and summarize the results of 
+the invariant calculation.
 """
 import wx
-import sys,os
+import sys
+import os
 import wx.html as html
 
-if sys.platform.count("win32")>0:
+if sys.platform.count("win32") > 0:
     _STATICBOX_WIDTH = 450
     PANEL_WIDTH = 500 
@@ -39,5 +41,6 @@
         Initialization. The parameters added to Dialog are:
         
-        :param list: report_list (list of html_str, text_str, image) from invariant_state
+        :param list: report_list (list of html_str, text_str, image)
+        from invariant_state
         """
         kwds["style"] = wx.RESIZE_BORDER|wx.DEFAULT_DIALOG_STYLE
@@ -51,7 +54,7 @@
         self.SetWindowVariant(variant=FONT_VARIANT)
         # report string
-        self.report_list =list
+        self.report_list = list
         # put image path in the report string
-        self.report_html = self.report_list[0]% "memory:img_inv.png"
+        self.report_html = self.report_list[0] % "memory:img_inv.png"
         # layout
         self._setup_layout()
@@ -74,5 +77,6 @@
         button_preview = wx.Button(self, id, "Preview")
         button_preview.SetToolTipString("Print preview this report.")
-        button_preview.Bind(wx.EVT_BUTTON, self.onPreview, id = button_preview.GetId()) 
+        button_preview.Bind(wx.EVT_BUTTON, self.onPreview,
+                            id=button_preview.GetId()) 
         hbox.Add(button_preview)
 
@@ -80,5 +84,6 @@
         button_print = wx.Button(self, id, "Print")
         button_print.SetToolTipString("Print this report.")
-        button_print.Bind(wx.EVT_BUTTON, self.onPrint, id = button_print.GetId()) 
+        button_print.Bind(wx.EVT_BUTTON, self.onPrint,
+                          id=button_print.GetId()) 
         hbox.Add(button_print)
         
@@ -91,5 +96,5 @@
         # panel for report page
         panel = wx.Panel(self, -1)
-        vbox= wx.BoxSizer(wx.VERTICAL)
+        vbox = wx.BoxSizer(wx.VERTICAL)
         # html window
         self.hwindow = html.HtmlWindow(panel,style=wx.BORDER,size=(700,500))
@@ -98,6 +103,6 @@
         
         # add panels to boxsizers
-        vbox.Add(hbox,30)
-        vbox.Add(panel,500, wx.EXPAND|wx.ALL)
+        vbox.Add(hbox, 30)
+        vbox.Add(panel, 500, wx.EXPAND|wx.ALL)
 
         self.SetSizerAndFit(vbox)
@@ -105,18 +110,18 @@
         self.Show(True)
 
-    def onSave(self,event=None):
+    def onSave(self, event=None):
         """
         Save
         """
         #todo: complete saving fig file and as a txt file
-        dlg = wx.FileDialog(self, "Choose a file",\
-                            wildcard ='HTML files (*.html)|*.html|'+
+        dlg = wx.FileDialog(self, "Choose a file",
+                            wildcard='HTML files (*.html)|*.html|'+
                             'Text files (*.txt)|*.txt',
-                            style = wx.SAVE|wx.OVERWRITE_PROMPT|wx.CHANGE_DIR)
+                            style=wx.SAVE|wx.OVERWRITE_PROMPT|wx.CHANGE_DIR)
         dlg.SetFilterIndex(0) #Set .html files to be default
 
         if dlg.ShowModal() != wx.ID_OK:
-          dlg.Destroy()
-          return
+            dlg.Destroy()
+            return
         
         fName = dlg.GetPath()
@@ -126,10 +131,11 @@
         if ext_num == 0:
             ext = '.html'
-            img_ext= '_img4html.png'
+            img_ext = '_img4html.png'
             report_frame = self.report_list[0]
         elif ext_num == 1:
             ext = '.txt'   
-            # changing the image extension actually changes the image format on saving
-            img_ext= '_img4txt.pdf'
+            # changing the image extension actually changes the image
+            # format on saving
+            img_ext = '_img4txt.pdf'
             report = self.report_list[1]
         else:
@@ -142,5 +148,6 @@
         pic_fname = os.path.splitext(fName)[0] + img_ext
         #put the image path in html string
-        if ext_num == 0: report = report_frame % pic_fname
+        if ext_num == 0:
+            report = report_frame % pic_fname
         f = open(fName, 'w')
         f.write(report)
@@ -150,5 +157,5 @@
         
             
-    def onPreview(self,event=None):
+    def onPreview(self, event=None):
         """
         Preview
@@ -156,8 +163,10 @@
         : event: Preview button event
         """
-        previewh=html.HtmlEasyPrinting(name="Printing", parentWindow=self)
+        previewh = html.HtmlEasyPrinting(name="Printing", parentWindow=self)
         previewh.PreviewText(self.report_html)
-    
-    def onPrint(self,event=None):
+        if event is not None:
+            event.Skip()
+    
+    def onPrint(self, event=None):
         """
         Print
@@ -165,7 +174,8 @@
         : event: Print button event
         """
-        printh=html.HtmlEasyPrinting(name="Printing", parentWindow=self)
+        printh = html.HtmlEasyPrinting(name="Printing", parentWindow=self)
         printh.PrintText(self.report_html)
-
+        if event is not None:
+            event.Skip()
 
     def OnClose(self,event=None):
@@ -175,5 +185,4 @@
         : event: Close button event
         """
-        
         self.Close()
     
@@ -188,6 +197,7 @@
         f = file(filename, "wb")
         # pisa requires some extra packages, see their web-site
-        pdf = pisa.CreatePDF(data,f)
-        # close the file here otherwise it will be open until quitting the application.
+        pdf = pisa.CreatePDF(data, f)
+        # close the file here otherwise it will be open until quitting
+        #the application.
         f.close()
 
